package cz.moneta.test.dsl.ufo.banka.pages.requests;

import cz.moneta.test.dsl.ufo.banka.pages.products.consolidation.UDC006_S001_ConsolidationScoringPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.CHK001_S001_WaitingForModulationPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.KUL018_S001_SmeAutomatesRequests;
import cz.moneta.test.dsl.ufo.banka.pages.loans.creditCard.NKK006_S001_CreditCardScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.expres.NEP006_S001_ExpressScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.flexikredit.NFL006_S001_FlexikreditScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.SMA002_S001_SMEAutomatsApplicationOverview;
import cz.moneta.test.dsl.ufo.banka.pages.products.universal.request.UZO006_S001_UniverzalRequestModeling;
import cz.moneta.test.harness.support.web.WebFlow;

public interface BAL006_S002_ClientRequestPageTransitions extends WebFlow<BAL006_S002_ClientRequestPageTransitions> {

    NKK006_S001_CreditCardScoringResultPage onCreditCardRequestPage();

    NEP006_S001_ExpressScoringResultPage onExpressScoringResultPage();

    NKK006_S001_CreditCardScoringResultPage onCreditCardScoringResultPage();

    NFL006_S001_FlexikreditScoringResultPage onFlexiCreditScoringResultPage();

    KUL018_S001_SmeAutomatesRequests onSmeAutomatesRequests();

    SMA002_S001_SMEAutomatsApplicationOverview onSMEAutomatsApplicationsOverview();

    CHK001_S001_WaitingForModulationPage onWaitForModulationPage();

    UZO006_S001_UniverzalRequestModeling onUniverzalRequestModelingPage();

    UDC006_S001_ConsolidationScoringPage onConsolidationScoringPage();

}